int LED = 14;
int BUTTON = 15;
int val = 0;
String message;

// the setup function runs once when you press reset or power the board
void setup() {

  Serial.begin(9600);
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED, OUTPUT);
  pinMode(BUTTON, INPUT);

  for (int i=1; i<=5; i++){
    digitalWrite(LED, HIGH);   // turn the LED on (HIGH is the voltage level)
    delay(500);                       // wait for a second
    digitalWrite(LED, LOW);    // turn the LED off by making the voltage LOW
    delay(500);                       // wait for a second
  }
  
}

// the loop function runs over and over again forever
void loop() {

  val = analogRead(BUTTON);
  if (val>1000){
    digitalWrite(LED, HIGH);
  }
  else{
    digitalWrite(LED, LOW);
  }

  Serial.println(val);
  
  if (Serial.available() > 0) {
    
    // read the incoming byte:
    message = Serial.readString();

    // say what you got:
    Serial.print("I received: ");
    Serial.println(message);
    
  }
  delay(1000);
}
